require_relative 'lib/request_xml/version'

Gem::Specification.new do |spec|
  spec.name          = "request_xml"
  spec.version       = RequestXml::VERSION
  spec.authors       = ["Gitea"]
  spec.email         = ["lwflouisa@riseup.net"]

  spec.summary       = %q{Uses a naive bayes algorithm to create an input, and this input generates a Natural Language Request in xml.}
  spec.description   = %q{I needed a way to generate a natural language request without having to input specific numbers. Red Davis did an excellent Baysian algorithm that can also be used for generating useable numerical input. For those curious about Red Davis work, check out: https://github.com/reddavis/Naive-Bayes}
  spec.homepage      = "https://lwflouisa.github.io/WeaverBlog"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end

  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'naive_bayes', '~> 0.0.3'
end
